Bug 77753 - FILESAVE: Embedding font does not work for a particular file with emoji and symbols in Unicode 6
Summary: FILESAVE: Embedding font does not work for a particular file with emoji and s...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.1.6.2 release
Hardware: Other Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
: 80107 (view as bug list)
Depends on:
Blocks: Fonts-Embedded
  Show dependency treegraph
 
Reported: 2014-04-22 01:13 UTC by webofht-libreofficebugs002
Modified: 2018-10-23 02:49 UTC (History)
7 users (show)

See Also:
Crash report or crash signature:


Attachments
loading the file in LibO 4.2 through soffice.exe (138.92 KB, image/png)
2014-06-01 01:22 UTC, Yousuf Philips (jay) (retired)
Details
Loading the file in 4.2 through the Start Center (69.68 KB, image/png)
2014-06-01 01:22 UTC, Yousuf Philips (jay) (retired)
Details
emoji_and_symbols_test_does_not_embed_font_ Compressed 1 of 2 (8.00 MB, application/x-gzip)
2015-10-23 02:43 UTC, webofht-libreofficebugs002
Details
emoji_and_symbols_test_does_not_embed_font_ Compressed 2 of 2 (5.92 MB, application/octet-stream)
2015-10-23 02:44 UTC, webofht-libreofficebugs002
Details

Note You need to log in before you can comment on or make changes to this bug.
Description webofht-libreofficebugs002 2014-04-22 01:13:40 UTC
Problem description: Consider the attached file of which the link is provided. Open it on Windows 7. The font is not embedded properly to show the emoji or symbols in Unicode 6. Squares or squares with question marks are shown.

Steps to reproduce:
1. I am a Debian Linux user. I install the fonts:
# aptitude install ttf-ancient-fonts
2. I restart the computer.
3. I start Google Chrome. I go to http://en.wikipedia.org/wiki/Emoji 
4. I copy the emoji and symbols.
5. I start LibreOffice Writer. Click on Paste.
6. File -> Properties -> Font -> 
7. Embed fonts in the document -> OK
8. Type a space and press Backspace
9. Click on File -> Save
10. Start Microsoft Windows 7. Open the file.
11. Squares or squares with question marks are shown. No emoji or symbols can be found.
12. Link to the file:
https://www.dropbox.com/s/ea429rd7qznhgum/emoji_and_symbols_test_does_not_embed_font_.odt

The file is very large.
Another bug report was filed for the "large size" problem by somebody else.

Current behavior: Only squares or squares with question marks are shown. No emoji or symbols can be found. Embedding font does not work.

Expected behavior: Emoji and symbols should be shown. Embedding font should work.

My possible guess: LibreOffice does not support those new Unicode characters. The correct font name is not shown. LibreOffice should detect those characters. The font seems to be Symbola but I cannot be sure of it. Copying 
/usr/share/fonts/truetype/ttf-ancient-scripts/Symbola605.ttf
to Windows does not help to display the emoji and symbols.

Thank you for the hard work.

Best regards,
C. H. D.
Bug Reporter
Operating System: Debian
Version: 4.2.2.1 release
Comment 1 Yousuf Philips (jay) (retired) 2014-06-01 01:13:39 UTC
On Windows 7 (with the embedded fonts not installed), it will render correctly if loaded through soffice.exe but will not show correctly when opening it through the start center.

On Linux Mint, opening the file crashes with 4.2.4 and 4.2.6, but shows correctly in 3.6.7, 4.0.6, and 4.3 beta, while in 4.1.6 it hangs while loading with the terminal output of "*** glibc detected *** /usr/lib/libreoffice/program/soffice.bin: corrupted double-linked list: 0x0a5f5970 ***".
Comment 2 Yousuf Philips (jay) (retired) 2014-06-01 01:22:29 UTC
Created attachment 100224 [details]
loading the file in LibO 4.2 through soffice.exe
Comment 3 Yousuf Philips (jay) (retired) 2014-06-01 01:22:54 UTC
Created attachment 100225 [details]
Loading the file in 4.2 through the Start Center
Comment 4 Joel Madero 2014-06-09 06:05:07 UTC
highest is reserved for MAB only - for now lowering it to high until bibisect is complete
Comment 5 Yousuf Philips (jay) (retired) 2014-06-09 13:54:28 UTC
(In reply to comment #4)
> highest is reserved for MAB only - for now lowering it to high until
> bibisect is complete

according the the chart, high is also for MAB. :)
Comment 6 Joel Madero 2014-06-16 16:23:15 UTC
Works fine for me in:

Ubuntu 14.04 x64
4.2.4.2 release
4.3 beta1

Marking as WORKSFORME. 

@webofht - please test with newer release (preferably 4.3 pre-release is possible) and set to UNCONFIRMED again if the bug is still present.
Comment 7 Yousuf Philips (jay) (retired) 2014-06-16 20:15:35 UTC
Reopened as Joel tested this on Linux when the issue is for testing on Windows.
Comment 8 Yousuf Philips (jay) (retired) 2014-06-16 20:16:46 UTC
*** Bug 80107 has been marked as a duplicate of this bug. ***
Comment 9 Yousuf Philips (jay) (retired) 2014-06-16 20:17:43 UTC
As joel tested on linux rather than windows.
Comment 10 QA Administrators 2015-07-18 17:43:40 UTC Comment hidden (obsolete)
Comment 11 Buovjaga 2015-10-22 16:19:49 UTC
Unable to retest as link doesn't work: https://www.dropbox.com/s/ea429rd7qznhgum/emoji_and_symbols_test_does_not_embed_font_.odt
How big was it? Bugzilla now accepts 10 megabyte files.
Comment 12 webofht-libreofficebugs002 2015-10-23 02:43:46 UTC
Created attachment 119892 [details]
emoji_and_symbols_test_does_not_embed_font_ Compressed 1 of 2

Resending because of previous broken link. 

Files too large. Compressed files. Sending two split files.

# create archives
$ gzip -c archive.tar | split -b 8MiB - archive_split.gz_

# uncompress
$ cat archive_split.gz_* | gunzip -c > archive_recover.tar
$ tar -xvf archive_recover.tar
# You will get emoji_and_symbols_test_does_not_embed_font_.odt 

$ md5sum emoji_and_symbols_test_does_not_embed_font_.odt 
b39c8b704f779667298fe3249ef5ba82
Comment 13 webofht-libreofficebugs002 2015-10-23 02:44:38 UTC
Created attachment 119893 [details]
emoji_and_symbols_test_does_not_embed_font_ Compressed 2 of 2

See "emoji_and_symbols_test_does_not_embed_font_ Compressed 1 of 2"
Comment 14 Khaled Hosny 2016-10-27 12:54:42 UTC
If it does not crash or cause you loss of data or allows others to steal you credit card info, it can’t be critical.
Comment 15 QA Administrators 2018-10-23 02:49:37 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug